require "rails_helper"

RSpec.describe Induties::AssignInDutiesController, type: :routing do
  describe "routing" do

    it "routes to #index" do
      expect(:get => "/induties/assign_in_duties").to route_to("induties/assign_in_duties#index")
    end

    it "routes to #new" do
      expect(:get => "/induties/assign_in_duties/new").to route_to("induties/assign_in_duties#new")
    end

    it "routes to #show" do
      expect(:get => "/induties/assign_in_duties/1").to route_to("induties/assign_in_duties#show", :id => "1")
    end

    it "routes to #edit" do
      expect(:get => "/induties/assign_in_duties/1/edit").to route_to("induties/assign_in_duties#edit", :id => "1")
    end

    it "routes to #create" do
      expect(:post => "/induties/assign_in_duties").to route_to("induties/assign_in_duties#create")
    end

    it "routes to #update via PUT" do
      expect(:put => "/induties/assign_in_duties/1").to route_to("induties/assign_in_duties#update", :id => "1")
    end

    it "routes to #update via PATCH" do
      expect(:patch => "/induties/assign_in_duties/1").to route_to("induties/assign_in_duties#update", :id => "1")
    end

    it "routes to #destroy" do
      expect(:delete => "/induties/assign_in_duties/1").to route_to("induties/assign_in_duties#destroy", :id => "1")
    end

  end
end
